/*!
 * @file battery.h
 * @brief This file defines the battery information access class.
 * @author Anthony L. Montiel
 * @date 2024-02-06
 *
 * Copyright (C) 2024 RDI Technologies as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * RDI Technologies. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with RDI Technologies.
 */

#ifndef _FASTEC_BATTERY_H_
#define _FASTEC_BATTERY_H_

//--------------------------------------------------------------------
// Battery access functions
//--------------------------------------------------------------------

extern void batteryStart();
extern void batteryClose();
extern double batteryVoltage();

#endif /* !_FASTEC_BATTERY_H_ */
