/*!
 * @file cs_update.h
 * @brief Update control thread.
 *
 * Copyright 2020 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef __CS_UPDATE_H__
#define __CS_UPDATE_H__

extern void update_camera(bool use_network, const std::string& update_version, const std::string& device_path, const std::string& package_name);
extern bool update_in_progress();
extern void update_options(std::string& opt_str);
extern void update_postops();

#endif /* !__CS_UPDATE_H__ */
